package com.foreverwin.mesnac.dispatch.mapper;

import com.foreverwin.mesnac.common.dto.SfcDispatchDto;
import com.foreverwin.mesnac.dispatch.model.CallItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.dispatch.model.SfcDispatch;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-30
 */
@Repository
public interface CallItemMapper extends BaseMapper<CallItem> {

    /**
     * 派工叫料组件数据删除
     *
     * @param list
     */
    void deleteDispatchCallItem(List<SfcDispatchDto> list);

    /**
     * 查询叫料组件
     *
     * @param list
     * @return
     */
    List<CallItem> selectDispatchCallItem(List<SfcDispatchDto> list);
}