package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.dispatch.model.ItemBatch;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 物料批次表 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-18
 */
public interface ItemBatchService extends IService<ItemBatch> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ItemBatch> selectPage(FrontPage<ItemBatch> frontPage, ItemBatch itemBatch);

    List<ItemBatch> selectList(ItemBatch itemBatch);
}