package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.NcCode;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author robert
 * @since 2021-06-23
 */
@Repository
public interface NcCodeMapper extends BaseMapper<NcCode> {
    List<NcCode> findNcByNG(@Param("site")String site, @Param("locale")String locale, @Param("messageType")String messageType);

    List<NcCode> findSecondaryNcByNc(@Param("site")String site,@Param("locale")String locale,@Param("ncCode")String ncCode);
}