package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "ItemBatchDto", propOrder = {
        "RSNUM",
        "ITEM",
        "SPEC",
        "TEXTURE",
        "BATCH",
        "SUPPLIER"
})
public class ItemBatchDto {

    @XmlElement(name = "RSNUM")
    private String RSNUM;
    @XmlElement(name = "ITEM", required = true)
    private String ITEM;
    @XmlElement(name = "SPEC")
    private String SPEC;
    @XmlElement(name = "TEXTURE")
    private String TEXTURE;
    @XmlElement(name = "BATCH", required = true)
    private String BATCH;
    @XmlElement(name = "SUPPLIER", required = true)
    private String SUPPLIER;

    public String getRSNUM() {
        return RSNUM;
    }

    public void setRSNUM(String RSNUM) {
        this.RSNUM = RSNUM;
    }

    public String getITEM() {
        return ITEM;
    }

    public void setITEM(String ITEM) {
        this.ITEM = ITEM;
    }

    public String getSPEC() {
        return SPEC;
    }

    public void setSPEC(String SPEC) {
        this.SPEC = SPEC;
    }

    public String getTEXTURE() {
        return TEXTURE;
    }

    public void setTEXTURE(String TEXTURE) {
        this.TEXTURE = TEXTURE;
    }

    public String getBATCH() {
        return BATCH;
    }

    public void setBATCH(String BATCH) {
        this.BATCH = BATCH;
    }

    public String getSUPPLIER() {
        return SUPPLIER;
    }

    public void setSUPPLIER(String SUPPLIER) {
        this.SUPPLIER = SUPPLIER;
    }

    @Override
    public String toString() {
        return "ItemBatchDto{" +
                "RSNUM='" + RSNUM + '\'' +
                ", ITEM='" + ITEM + '\'' +
                ", SPEC='" + SPEC + '\'' +
                ", TEXTURE='" + TEXTURE + '\'' +
                ", BATCH='" + BATCH + '\'' +
                ", SUPPLIER='" + SUPPLIER + '\'' +
                '}';
    }
}
